%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	pure python expect-like module
Name:		python26-pexpect
Version:	2.3
Release:	1
BuildArch:	noarch
License: 	PSFL
URL:		http://sourceforge.net/projects/pexpect
Group:		Development/Python	
Source0:	pexpect-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: python%{PVER}-devel
BuildRequires: python%{PVER}-setuptools

%description
Pexpect is a Python module for spawning child applications; controlling them; and responding to expected patterns in their output.
Pexpect can be used for automating interactive applications such as ssh, ftp, passwd, telnet, etc. Pexpect is pure Python.


%post
ldconfig

%postun
ldconfig

%prep
%setup -qn pexpect-%{version}

%build
/usr/bin/python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/usr/bin/python%{PYVER} setup.py install -O1 --skip-build --root="$RPM_BUILD_ROOT" --prefix="%{_prefix}"

%files
%defattr(-,root,root)
%{python_sitearch}/ANSI.py
%{python_sitearch}/ANSI.pyc
%{python_sitearch}/ANSI.pyo
%{python_sitearch}/FSM.py
%{python_sitearch}/FSM.pyc
%{python_sitearch}/FSM.pyo
%{python_sitearch}/fdpexpect.py
%{python_sitearch}/fdpexpect.pyc
%{python_sitearch}/fdpexpect.pyo
%{python_sitearch}/pexpect-2.3-py2.6.egg-info
%{python_sitearch}/pexpect.py
%{python_sitearch}/pexpect.pyc
%{python_sitearch}/pexpect.pyo
%{python_sitearch}/pxssh.py
%{python_sitearch}/pxssh.pyc
%{python_sitearch}/pxssh.pyo
%{python_sitearch}/screen.py
%{python_sitearch}/screen.pyc
%{python_sitearch}/screen.pyo

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jun 02 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.3-1
- Initial CCux package release
